Debian Bug report logs - #573201
transition: imagemagick

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: "Nelson A. de Oliveira" <naoliv@debian.org>

Date: Tue, 9 Mar 2010 18:15:01 UTC

Severity: normal

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, naoliv@debian.org, pkg-gmagick-im-team@lists.alioth.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573201; Package release.debian.org. (Tue, 09 Mar 2010 18:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Nelson A. de Oliveira" <naoliv@debian.org>:
New Bug report received and forwarded. Copy sent to naoliv@debian.org, pkg-gmagick-im-team@lists.alioth.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Tue, 09 Mar 2010 18:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Nelson A. de Oliveira" <naoliv@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: imagemagick
Date: Tue, 09 Mar 2010 15:14:03 -0300
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Hi!

On #564123 we saw that imagemagick upstream did some incompatible ABI changes,
without updating the SONAME version.
They did change it later and we have an updated package available on
experimental.

A simple binNMU of the affected packages should be enough.

The first two messages asking for permission to upload to unstable can be seen
at:
http://lists.debian.org/debian-release/2010/01/msg00117.html
http://lists.debian.org/debian-release/2010/03/msg00092.html

Thank you!

Best regards,
Nelson

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.33.naoliv1 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=pt_BR.UTF-8, LC_CTYPE=pt_BR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573201; Package release.debian.org. (Fri, 12 Mar 2010 17:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 12 Mar 2010 17:39:08 GMT) Full text and rfc822 format available.

Message #10 received at 573201@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: "Nelson A. de Oliveira" <naoliv@debian.org>, <573201@bugs.debian.org>
Subject: Re: Bug#573201: transition: imagemagick
Date: Fri, 12 Mar 2010 17:36:55 -0000
Hi,

Nelson A. de Oliveira wrote:
> On #564123 we saw that imagemagick upstream did some incompatible ABI
> changes, without updating the SONAME version.
> They did change it later and we have an updated package available on
> experimental.
>
> A simple binNMU of the affected packages should be enough.

Please go ahead with the upload to unstable; we'll then schedule the 
binNMUs.

Regards,

Adam 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573201; Package release.debian.org. (Fri, 12 Mar 2010 19:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Nelson A. de Oliveira" <naoliv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 12 Mar 2010 19:36:08 GMT) Full text and rfc822 format available.

Message #15 received at 573201@bugs.debian.org (full text, mbox):

From: "Nelson A. de Oliveira" <naoliv@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 573201@bugs.debian.org
Subject: Re: Bug#573201: transition: imagemagick
Date: Fri, 12 Mar 2010 16:33:59 -0300
Hi!

On Fri, Mar 12, 2010 at 2:36 PM, Adam D. Barratt
<adam@adam-barratt.org.uk> wrote:
> Please go ahead with the upload to unstable; we'll then schedule the
> binNMUs.

Uploaded to unstable.
Thank you very much!

Best regards,
Nelson




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573201; Package release.debian.org. (Fri, 12 Mar 2010 20:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 12 Mar 2010 20:03:05 GMT) Full text and rfc822 format available.

Message #20 received at 573201@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: "Nelson A. de Oliveira" <naoliv@debian.org>
Cc: 573201@bugs.debian.org
Subject: Re: Bug#573201: transition: imagemagick
Date: Fri, 12 Mar 2010 19:59:23 +0000
On Fri, 2010-03-12 at 16:33 -0300, Nelson A. de Oliveira wrote:
> On Fri, Mar 12, 2010 at 2:36 PM, Adam D. Barratt
> <adam@adam-barratt.org.uk> wrote:
> > Please go ahead with the upload to unstable; we'll then schedule the
> > binNMUs.
> 
> Uploaded to unstable.

Well timed, to get it in just before a dinstall. :-)

I've just scheduled the necessary binNMUs, with a dep-wait on
imagemagick (>= 7:6.6.0.4-1).

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573201; Package release.debian.org. (Wed, 17 Mar 2010 07:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 17 Mar 2010 07:15:03 GMT) Full text and rfc822 format available.

Message #25 received at 573201@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 573201@bugs.debian.org
Cc: "Nelson A. de Oliveira" <naoliv@debian.org>
Subject: Re: Bug#573201: transition: imagemagick
Date: Wed, 17 Mar 2010 07:12:07 +0000
On Fri, 2010-03-12 at 19:59 +0000, Adam D. Barratt wrote:
> I've just scheduled the necessary binNMUs, with a dep-wait on
> imagemagick (>= 7:6.6.0.4-1).

A quick update on where we currently are (please feel free to correct):

- the imagemagick upload introduced a regression in font handling, which
will be fixed by a new upload reverting the responsible patch (#573983)

- librmagick-ruby ftbfs, partly due to an issue fixed upstream and
partly due to the imagemagick regression (#573620)

- gem has ftbfs on armel for the past couple of uploads with assembler
errors (#573712, Cced to debian-arm)

- imview ftbfs on armel (but has never built there, so isn't a
regression); I've submitted a patch to #574191

- gnudatalanguage ftbfs on multiple arches (#545849); it's not been in
testing since the python2.4 removal

- k3d ftbfs for unrelated errors; #571021 has a patch

- php-imagick ftbfs for non imagemagick reasons (#570649); it's
orphaned, very outdated and not currently in testing. The prospective
new maintainers hope to have a new version uploaded in the next couple
of weeks.

- virtuoso-opensource ftbfs on a number of architectures (#574018); an
upload fixing all the failures is hopefully expected in the next day or
so

- fluxbox (#573971), pyxplot (#573972), qemulator (#573973) and xpad
(#573975) all have explicit build-deps on libmagickcore2-extra; they
call "convert" from debian/rules so should be fixable simply by updating
the package name in the build-dep.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573201; Package release.debian.org. (Fri, 19 Mar 2010 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 19 Mar 2010 18:57:03 GMT) Full text and rfc822 format available.

Message #30 received at 573201@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 573201@bugs.debian.org
Cc: "Nelson A. de Oliveira" <naoliv@debian.org>
Subject: Re: Bug#573201: transition: imagemagick
Date: Fri, 19 Mar 2010 18:54:50 +0000
On Wed, 2010-03-17 at 07:12 +0000, Adam D. Barratt wrote:
> - the imagemagick upload introduced a regression in font handling, which
> will be fixed by a new upload reverting the responsible patch (#573983)
> 
> - librmagick-ruby ftbfs, partly due to an issue fixed upstream and
> partly due to the imagemagick regression (#573620)

Both of these are now fixed.

> - gem has ftbfs on armel for the past couple of uploads with assembler
> errors (#573712, Cced to debian-arm)

This now has a patch; one of the co-maintainers has a package on
mentors.d.o with a slightly different (and simpler) patch.

> - imview ftbfs on armel (but has never built there, so isn't a
> regression); I've submitted a patch to #574191
> 
> - gnudatalanguage ftbfs on multiple arches (#545849); it's not been in
> testing since the python2.4 removal
> 
> - php-imagick ftbfs for non imagemagick reasons (#570649); it's
> orphaned, very outdated and not currently in testing. The prospective
> new maintainers hope to have a new version uploaded in the next couple
> of weeks.

No change (x3).

> - k3d ftbfs for unrelated errors; #571021 has a patch

On further inspection, this looks like a good candidate for removal from
testing.  The past maintainer upload was nearly three years ago and it's
had five NMUs in the intervening period to fix various FTBFSes.

> - virtuoso-opensource ftbfs on a number of architectures (#574018); an
> upload fixing all the failures is hopefully expected in the next day or
> so

The new upload has now built everywhere except sparc - that being the
one architecture for which a build fix wasn't included (but not a
regression).

> - fluxbox (#573971), pyxplot (#573972), qemulator (#573973) and xpad
> (#573975) all have explicit build-deps on libmagickcore2-extra; they
> call "convert" from debian/rules so should be fixable simply by updating
> the package name in the build-dep.

pyxplot and xpad have seen fresh uploads using the virtual package name
introduced by the last imagemagick upload.  fluxbox is pending an
upload, which should happen "soon".  I've just uploaded an NMU for
qemulator.

Adam




Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Tue, 23 Mar 2010 01:30:04 GMT) Full text and rfc822 format available.

Notification sent to "Nelson A. de Oliveira" <naoliv@debian.org>:
Bug acknowledged by developer. (Tue, 23 Mar 2010 01:30:04 GMT) Full text and rfc822 format available.

Message #35 received at 573201-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 573201-done@bugs.debian.org
Cc: "Nelson A. de Oliveira" <naoliv@debian.org>
Subject: Re: Bug#573201: transition: imagemagick
Date: Tue, 23 Mar 2010 01:29:22 +0000
On Fri, 2010-03-12 at 17:36 +0000, Adam D. Barratt wrote:
> Nelson A. de Oliveira wrote:
> > On #564123 we saw that imagemagick upstream did some incompatible ABI
> > changes, without updating the SONAME version.
> > They did change it later and we have an updated package available on
> > experimental.
> >
> > A simple binNMU of the affected packages should be enough.
> 
> Please go ahead with the upload to unstable; we'll then schedule the 
> binNMUs.

As of the britney run which just finished:

imagemagick | 7:6.6.0.4-2 |       testing | source, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
imagemagick | 7:6.6.0.4-2 |      unstable | source, alpha, amd64, armel, hppa, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc

A couple of packages which weren't ready got removed from testing in the
process, but they should be able to go back in once they're ready.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#573201; Package release.debian.org. (Wed, 24 Mar 2010 03:39:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Nelson A. de Oliveira" <naoliv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 24 Mar 2010 03:39:11 GMT) Full text and rfc822 format available.

Message #40 received at 573201@bugs.debian.org (full text, mbox):

From: "Nelson A. de Oliveira" <naoliv@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 573201@bugs.debian.org
Subject: Re: Bug#573201: transition: imagemagick
Date: Wed, 24 Mar 2010 00:38:51 -0300
Hi Adam!

On Mon, Mar 22, 2010 at 10:29 PM, Adam D. Barratt
<adam@adam-barratt.org.uk> wrote:
> A couple of packages which weren't ready got removed from testing in the
> process, but they should be able to go back in once they're ready.

Perfect.
Thank you a lot for helping in such smooth (if we don't count that
little mess about fonts) transition :-)

Best regards,
Nelson




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 21 Apr 2010 07:30:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:53:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.